com.google.gwt.storage.client

## Class StorageImplNonNativeEvents

- java.lang.Object
- - com.google.gwt.storage.client.StorageImpl
  - - com.google.gwt.storage.client.StorageImplNonNativeEvents

- Direct Known Subclasses:
    StorageImplIE8

      class StorageImplNonNativeEvents
      extends StorageImpl

  Implementation of Storage with non-native events.

  Implementation of StorageEvents is incomplete for many browsers. This class amends the properties consistently with W3C's StorageEvent.

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.storage.client.StorageImpl

      `jsHandler, LOCAL_STORAGE, SESSION_STORAGE, storageEventHandlers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageImplNonNativeEvents()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addStorageEventHandler0()`
    `void` | `clear(java.lang.String storage)` Removes all items in the Storage.
    `void` | `removeItem(java.lang.String storage, java.lang.String key)` Removes the item in the Storage associated with the specified key.
    `protected void` | `removeStorageEventHandler0()`
    `void` | `setItem(java.lang.String storage, java.lang.String key, java.lang.String data)` Sets the value in the Storage associated with the specified key to the specified data.

    - ### Methods inherited from class com.google.gwt.storage.client.StorageImpl

      `addStorageEventHandler, getItem, getLength, getStorageEventHandlers, getStorageFromEvent, handleStorageEvent, hasStorageEventHandlers, key, removeStorageEventHandler`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StorageImplNonNativeEvents

          StorageImplNonNativeEvents()

  - ### Method Detail

    - #### clear

          public void clear(java.lang.String storage)

      Description copied from class: `StorageImpl`
      Removes all items in the Storage.
      Overrides:
        `clear` in class `StorageImpl`
      Parameters:
        `storage` - either `StorageImpl.LOCAL_STORAGE` or `StorageImpl.SESSION_STORAGE`
      See Also:
        W3C Web Storage - Storage.clear()

    - #### removeItem

          public void removeItem(java.lang.String storage,
                                 java.lang.String key)

      Description copied from class: `StorageImpl`
      Removes the item in the Storage associated with the specified key.
      Overrides:
        `removeItem` in class `StorageImpl`
      Parameters:
        `storage` - either `StorageImpl.LOCAL_STORAGE` or `StorageImpl.SESSION_STORAGE`
        `key` - the key to a value in the Storage
      See Also:
        W3C Web Storage - Storage.removeItem(k)

    - #### setItem

          public void setItem(java.lang.String storage,
                              java.lang.String key,
                              java.lang.String data)

      Description copied from class: `StorageImpl`
      Sets the value in the Storage associated with the specified key to the specified data.
      Overrides:
        `setItem` in class `StorageImpl`
      Parameters:
        `storage` - either `StorageImpl.LOCAL_STORAGE` or `StorageImpl.SESSION_STORAGE`
        `key` - the key to a value in the Storage
        `data` - the value associated with the key
      See Also:
        W3C Web Storage - Storage.setItem(k,v)

    - #### addStorageEventHandler0

          protected void addStorageEventHandler0()

      Overrides:
        `addStorageEventHandler0` in class `StorageImpl`

    - #### removeStorageEventHandler0

          protected void removeStorageEventHandler0()

      Overrides:
        `removeStorageEventHandler0` in class `StorageImpl`